Save bank statements
curl --request POST \
--url https://sandbox.tight.com/v6/banks/statements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "bst_28868401",
"status": "ACTIVE",
"url": "https://cdn.sandbox.tight.com/statements/bst_28868401.pdf",
"bankAccountId": "bka_7542850",
"period": {
"beginDate": "2024-01-01",
"endDate": "2024-01-31"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/banks/statements"
payload = { "data": [
{
"id": "bst_28868401",
"status": "ACTIVE",
"url": "https://cdn.sandbox.tight.com/statements/bst_28868401.pdf",
"bankAccountId": "bka_7542850",
"period": {
"beginDate": "2024-01-01",
"endDate": "2024-01-31"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
id: 'bst_28868401',
status: 'ACTIVE',
url: 'https://cdn.sandbox.tight.com/statements/bst_28868401.pdf',
bankAccountId: 'bka_7542850',
period: {beginDate: '2024-01-01', endDate: '2024-01-31'},
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};
fetch('https://sandbox.tight.com/v6/banks/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "bst_28868401",
"status": "ACTIVE",
"url": "https://cdn.sandbox.tight.com/statements/bst_28868401.pdf",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"period": {
"beginDate": "2024-01-01",
"endDate": "2024-01-31"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "bst_28868401",
"status": "ACTIVE",
"url": "https://cdn.sandbox.tight.com/statements/bst_28868401.pdf",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"period": {
"beginDate": "2024-01-01",
"endDate": "2024-01-31"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "bst_28868401",
"status": "ACTIVE",
"url": "https://cdn.sandbox.tight.com/statements/bst_28868401.pdf",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"period": {
"beginDate": "2024-01-01",
"endDate": "2024-01-31"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Bank Statements
Save bank statements
Save new (or update existing) bank statements
POST
/
v6
/
banks
/
statements
Save bank statements
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I